@charset "UTF-8";

/* ==================== ОБЩИЕ МЕДИА-ЗАПРОСЫ ==================== */
@media screen and (min-width: 1023.98px) {
  .advantages__list,
  .complex__list {
    transform: none !important;
  }
}
@media screen and (max-width: 1439.98px) {
  h1 {
    font-size: 55px;
  }

  h2 {
    font-size: 40px;
  }

  h3 {
    font-size: 30px;
  }
  .header__logo {
    max-width: 225px;
    padding: 12px;
  }
  .header__menu .menu__item a {
    padding: 12px;
  }
  .info__item {
    padding: 12px;
  }
  .header__menu .menu__item {
    font-size: 14px;
  }
  .info__item *:first-child {
    font-size: 14px;
  }
  main {
    padding-top: 61px;
  }
  .header__other {
    max-width: 310px;
  }
  .hero__description {
    font-size: 18px;
  }
  .btn {
    font-size: 18px;
  }
  .hero__right {
    max-width: 500px;
  }
  .advantages-main__item {
    min-height: 320px;
  }
  .advantages-main__title {
    font-size: 30px;
  }
  .advantages__description {
    font-size: 18px;
  }
  .advantages__name {
    font-size: 24px;
  }
  .callback-popup__wrapper {
    padding: 60px;
  }
  .callback-popup__title {
    font-size: 40px;
  }
  .callback-popup__text {
    font-size: 18px;
  }
  .form__group input,
  .form__group textarea {
    font-size: 18px;
  }
  .form__submit input {
    font-size: 18px;
  }
  .form__submit::after,
  .form__submit .wpcf7-spinner {
    width: 63px;
    height: 63px;
  }
  .complex__description {
    font-size: 18px;
  }
  .complex__name {
    font-size: 24px;
  }
  .complex__fancy {
    padding: 30px;
  }
  .complex__list {
    grid-template-columns: repeat(3, 1fr);
  }
  .callback__wrapper {
    padding: 60px;
    gap: 80px;
  }
  .callback .form .form-policy {
    margin-bottom: 60px;
  }
  .callback__description {
    font-size: 18px;
  }
  .callback__bottom p {
    font-size: 21px;
  }
  .cases__text {
    font-size: 18px;
  }
  .cases__name {
    font-size: 24px;
  }
  .cases__show {
    font-size: 18px;
  }
  .cases__show::after {
    width: 63px;
  }
  .footer__link {
    max-width: 600px;
  }

  .footer__other {
    padding: 33px 0px 40px 0px;
  }
  .footer__col._footer-req,
  .footer__col._footer-con {
    max-width: none;
    width: auto;
  }
  .footer__title {
    font-size: 21px;
  }
  .footer {
    padding-top: 60px;
  }
  .services__list {
    grid-template-columns: repeat(2, 1fr);
  }
  .services__name {
    font-size: 24px;
  }
  .services__description {
    font-size: 18px;
  }
  .services__media {
    height: 365px;
  }
}

@media screen and (max-width: 1023.98px) {
  h1 {
    font-size: 45px;
  }

  h2 {
    font-size: 35px;
  }
  * {
    cursor: default !important;
  }
  .header__burger {
    display: flex;
  }
  .header__menu {
    display: none;
  }
  .header__other {
    width: auto;
    max-width: none;
  }
  .mobile._is-show {
    transform: translateX(0);
    pointer-events: auto;
  }
  .hero__description {
    font-size: 16px;
  }
  .btn {
    font-size: 16px;
    padding: 17px 74px 18px 22px;
  }
  .btn::after {
    width: 54px;
    height: 54px;
  }
  .hero {
    padding-top: 37px;
  }
  .hero__top {
    gap: 30px;
  }
  .hero__right {
    gap: 30px;
  }
  .advantages-main__title {
    font-size: 22px;
  }
  .advantages-main__icon img {
    width: 50px;
    height: 60px;
  }
  .advantages__description {
    font-size: 16px;
  }
  .advantages__name {
    font-size: 22px;
  }
  .advantages__content {
    display: flex;
    flex-direction: column-reverse;
  }
  .advantages__list {
    display: flex;
  }
  .advantages__item {
    min-height: 300px;
  }
  .advantages__top {
    gap: 30px;
  }
  .advantages__nav {
    display: flex;
  }
  .callback-popup__wrapper {
    padding: 40px;
    gap: 30px;
  }
  .callback-popup__title {
    font-size: 35px;
  }
  .callback-popup__text {
    font-size: 16px;
  }
  .form__group input,
  .form__group textarea {
    font-size: 16px;
  }
  .form__submit input {
    font-size: 16px;
  }
  .form-policy {
    margin-bottom: 30px;
  }
  .form__group {
    margin-bottom: 30px;
  }
  .form__submit::after,
  .form__submit .wpcf7-spinner {
    width: 60px;
    height: 60px;
  }
  .complex__top {
    gap: 30px;
  }
  .complex__list {
    display: flex;
  }
  .complex__btn {
    position: relative;
    top: 0;
    right: 0;
    align-self: flex-end;
  }
  .complex__fancy {
    justify-content: space-between;
    gap: 24px;
  }
  .complex__btn span {
    opacity: 1;
  }
  .complex__btn::before {
    opacity: 1;
  }
  .complex__name {
    font-size: 22px;
  }
  .complex__description {
    font-size: 16px;
  }
  .complex__item {
    min-height: 300px;
  }
  .complex__right {
    gap: 30px;
  }
  .complex {
    gap: 28px;
  }
  .callback__wrapper {
    padding: 40px;
    gap: 60px;
  }
  .callback .form .form-policy {
    margin-bottom: 40px;
  }
  .callback__bottom p {
    font-size: 18px;
  }
  .callback__description {
    font-size: 16px;
  }
  .callback .form .form__group {
    margin-bottom: 30px;
  }
  .form__group {
    gap: 20px;
  }
  .callback__right {
    gap: 27px;
    padding: 20px;
    background: var(--main-color-brand);
  }
  .callback__top {
    gap: 30px;
  }
  .callback__wrapper {
    padding: 0;
    gap: 30px;
    grid-template-columns: 1fr;
    background: transparent;
  }
  .callback__left {
    gap: 30px;
    padding: 30px 20px;
    background: var(--main-color-brand);
  }
  .cases__top {
    gap: 30px;
  }
  .cases__text {
    font-size: 16px;
  }
  .cases__name {
    font-size: 20px;
  }
  .cases__info {
    gap: 30px;
  }
  .cases__wrapper {
    gap: 30px;
  }
  .cases__show {
    font-size: 16px;
    margin-inline-start: 30px;
  }
  .cases__show::after {
    width: 60px;
  }
  .footer {
    padding-top: 50px;
  }
  .footer__title {
    font-size: 18px;
  }
  .footer__col {
    gap: 30px;
  }
  .footer__other {
    padding: 30px 0px 30px 0px;
    gap: 30px;
    flex-direction: column;
  }
  .footer__top {
    gap: 30px;
    padding-bottom: 30px;
  }
  .services__media {
    height: 360px;
  }
  .services__item:hover .services__media {
    height: 300px;
  }
  .services__name {
    font-size: 21px;
  }
  .services__description {
    font-size: 16px;
  }
  .services__top {
    gap: 30px;
  }
}

@media screen and (max-width: 767.98px) {
  h1 {
    font-size: 30px;
    letter-spacing: -0.3px;
  }

  h2 {
    font-size: 30px;
    letter-spacing: -0.3px;
  }

  h3 {
    font-size: 28px;
    letter-spacing: -0.3px;
  }

  h4 {
    font-size: 24px;
    letter-spacing: -0.3px;
  }

  h5 {
    font-size: 22px;
    letter-spacing: -0.3px;
  }

  h6 {
    font-size: 20px;
    letter-spacing: -0.3px;
  }

  p,
  a,
  span,
  li {
    font-size: var(--font-size-default-media);
    line-height: var(--line-height-default-media);
  }
  .container {
    padding-inline: var(--container-padding);
  }
  .header__info {
    display: none;
  }
  .header__logo {
    padding: 7px 20px;
  }
  main {
    padding-top: 50px;
  }
  .hero__top {
    flex-direction: column;
  }
  .hero__right {
    max-width: none;
    gap: 20px;
  }
  .hero__left {
    max-width: none;
  }
  .btn {
    font-size: 14px;
    padding: 19px 74px 18px 22px;
  }
  .hero__description {
    font-size: 14px;
    padding-right: 20px;
  }
  .advantages-main__title {
    font-size: 20px;
  }
  .advantages-main__icon img {
    width: 38px;
    height: 44px;
  }
  .advantages-main__description {
    font-size: 14px;
  }
  .advantages-main__description br {
    display: none;
  }
  .advantages-main__list {
    grid-template-columns: 1fr;
  }
  .advantages-main__item {
    min-height: 271px;
  }
  .advantages-main {
    margin-bottom: 60px;
  }
  .advantages__name {
    font-size: 20px;
  }
  .advantages__text {
    font-size: 14px;
  }
  .advantages__top {
    flex-direction: column;
  }
  .advantages__left {
    max-width: none;
  }
  .advantages__right {
    max-width: none;
  }
  .advantages__description {
    font-size: 14px;
  }
  .advantages {
    margin-bottom: 60px;
  }
  .form__group .wpcf7-form-control-wrap {
    flex: 1 1 100%;
  }
  .callback-popup__wrapper {
    padding: 40px 30px;
  }
  .callback-popup__title {
    font-size: 30px;
  }
  .callback-popup__text {
    font-size: 14px;
  }
  .form__group {
    margin-bottom: 20px;
  }
  .form__group input,
  .form__group textarea {
    padding: 10px 0px;
    font-size: 14px;
  }
  .form-policy__label {
    padding-left: 32px;
  }
  .form-policy__label::before {
    width: 16px;
    height: 16px;
  }
  .form-policy__label::after {
    width: 13px;
    height: 13px;
  }
  .form__group .wpcf7-form-control-wrap .wpcf7-not-valid-tip {
    font-size: 12px;
  }
  .form__submit input {
    font-size: 14px;
    padding: 19px 89px 19px 35px;
  }
  .form__submit::after,
  .form__submit .wpcf7-spinner {
    width: 54px;
    height: 54px;
  }
  .form-policy__label {
    font-size: 14px;
  }
  .complex__top {
    flex-direction: column;
  }
  .complex__description {
    font-size: 14px;
  }
  .complex__name {
    font-size: 20px;
  }
  .complex__text {
    font-size: 14px;
  }
  .complex__fancy {
    padding: 20px;
  }
  .complex__btn {
    font-size: 14px;
    padding: 15px 61px 15px 15px;
  }
  .complex {
    margin-bottom: 60px;
  }
  .callback__description {
    font-size: 14px;
  }
  .callback__bottom ul {
    gap: 7px;
  }
  .callback__bottom ul li {
    font-size: 14px;
  }
  .callback__wrapper {
    gap: 20px;
  }
  .callback .form__group .wpcf7-form-control-wrap {
    flex: 1 1 calc(50% - 10px);
  }
  .callback .form .form-policy {
    margin-bottom: 30px;
  }
  .callback .form .form__group {
    margin-bottom: 16px;
    gap: 10px 20px;
  }
  .callback__bottom p {
    font-size: 14px;
    font-weight: 400;
  }
  .cases__top {
    flex-direction: column;
  }
  .cases__text {
    font-size: 14px;
  }
  .cases__detail::before {
    font-size: 14px;
    letter-spacing: 2.8px;
  }
  .cases__description {
    font-size: 14px;
  }
  .cases__other {
    font-size: 14px;
  }
  .cases__info {
    padding: 25px 20px;
    width: 100%;
  }
  .cases {
    margin-bottom: 60px;
  }
  .cases__show {
    margin-inline: 20px;
    background: var(--main-color-brand);
    text-align: center;
    justify-content: center;
    font-size: 14px;
  }
  .cases__item {
    flex-direction: column;
    padding-bottom: 30px;
    border-bottom: 1px solid #dae1e6;
  }
  .cases-gallery {
    width: 100%;
  }
  .cases__show::after {
    border-left: 1px solid var(--main-color-primary);
  }
  .cases-gallery__item {
    min-height: 275px;
  }
  .footer__link {
    flex-direction: column-reverse;
    max-width: none;
    align-items: flex-start;
    gap: 10px;
  }
  .footer__other {
    padding: 10px 0px 30px 0px;
    gap: 10px;
    flex-direction: column-reverse;
  }
  .footer__top {
    flex-wrap: wrap;
  }
  .footer__col {
    gap: 18px;
  }
  .footer__col:first-child {
    width: 100%;
  }
  .footer__req {
    gap: 10px;
    font-size: 14px;
  }
  .footer__title {
    font-size: 16px;
  }
  .footer__menu .menu__list {
    gap: 10px;
  }
  .footer__menu .menu__item {
    font-size: 14px;
  }
  .footer__logo {
    max-width: 40px;
  }
  .footer__col:nth-child(1) {
    order: 1;
  }
  .footer__col:nth-child(2) {
    order: 3;
  }
  .footer__col:nth-child(3) {
    order: 4;
  }
  .footer__col:nth-child(4) {
    order: 2;
  }
  .services__top {
    flex-direction: column;
  }
  .services__description {
    font-size: 14px;
  }
  .services__name {
    font-size: 20px;
  }
  .services__text {
    font-size: 14px;
  }
  .services {
    margin-bottom: 60px;
  }
  .services__right {
    max-width: none;
    gap: 27px;
  }
  .services__left {
    max-width: none;
  }
  .services__list {
    grid-template-columns: 1fr;
  }
  .services__item .services__media {
    height: 278px;
  }
  .services__item:hover .services__media {
    height: 278px;
  }
  .services__img {
    opacity: 0;
    visibility: hidden;
    z-index: -1;
  }
  .services__item {
    gap: 10px;
  }
  .services__item:hover {
    padding-bottom: 20px;
    background: transparent;
  }
  .services__item:hover .services__btn {
    opacity: 0;
    pointer-events: none;
  }
}

@media screen and (max-width: 479.98px) {
  .hero__video {
    height: 427px;
  }
  .advantages__video {
    height: 402px;
  }
  .form__submit {
    width: 100%;
  }
  .form-policy__label {
    font-size: 12px;
  }
  .callback .form__group .wpcf7-form-control-wrap .wpcf7-not-valid-tip {
    font-size: 9px;
  }
  .cases__show {
    width: calc(100% - 40px);
    margin-inline: 0;
    align-self: center;
  }
  .footer__col,
  .footer__col._footer-req,
  .footer__col._footer-con {
    width: 100%;
  }
  .footer__btn {
    width: 100%;
    justify-content: center;
  }
}
@media screen and (max-width: 375.98px) {
  .form__submit input {
    padding: 15px 50px 15px 5px;
  }
  .form__submit::after,
  .form__submit .wpcf7-spinner {
    width: 47px;
    height: 47px;
  }
  .callback-popup__wrapper {
    padding: 30px 20px;
  }
  .callback-popup .f-button.is-close-button {
    top: 5px;
    right: 5px;
  }
  .page-content__title {
    font-size: 26px;
  }
}
